Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
contacts
/
{id}
Get a contact
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts/{id} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts/{id}"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/contacts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": {
      "rootfi_id": 123,
      "rootfi_created_at": "2023-11-07T05:31:56Z",
      "rootfi_updated_at": "2023-11-07T05:31:56Z",
      "platform_id": "<string>",
      "name": "<string>",
      "contact_name": "<string>",
      "email": "<string>",
      "phone": "<string>",
      "tax_number": "<string>",
      "registration_number": "<string>",
      "website": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "addresses": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "street": "<string>",
          "street2": "<string>",
          "locality": "<string>",
          "city": "<string>",
          "state": "<string>",
          "postal_code": "<string>",
          "country": "<string>"
        }
      ],
      "phone_numbers": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "number": "<string>"
        }
      ],
      "external_links": [
        {
          "rootfi_id": 123,
          "rootfi_created_at": "2023-11-07T05:31:56Z",
          "rootfi_updated_at": "2023-11-07T05:31:56Z",
          "platform_id": "<string>",
          "parent_id": "<string>",
          "link": "<string>"
        }
      ]
    }
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

id
integer
required

The record's rootfi_id.

Query Parameters

expand
string

Comma-separated related resources to expand.

Response

200 - application/json

A single contacts record.

data
object
required
request_id
string
required